name: constraints
version: 0.10.1
id: constraints-0.10.1-8EXBrRXe4Fh2Bzz0X5WX3G
key: constraints-0.10.1-8EXBrRXe4Fh2Bzz0X5WX3G
license: BSD-2-Clause
copyright: Copyright (C) 2011-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: experimental
homepage: http://github.com/ekmett/constraints/
synopsis: Constraint manipulation
description:
    GHC 7.4 gave us the ability to talk about @ConstraintKinds@. They stopped crashing the compiler in GHC 7.6.
    .
    This package provides a vocabulary for working with them.
category: Constraints
abi: 23b909cb66ae192a558598477ca65e18
exposed: True
exposed-modules:
    Data.Constraint Data.Constraint.Deferrable Data.Constraint.Forall
    Data.Constraint.Lifting Data.Constraint.Nat Data.Constraint.Symbol
    Data.Constraint.Unsafe
import-dirs: /usr/local/lib/ghc/constraints-0.10.1
library-dirs: /usr/local/lib/ghc/constraints-0.10.1
dynamic-library-dirs: /usr/local/lib/ghc/constraints-0.10.1
data-dir: /usr/local/share/hs-constraints-0.10.1
hs-libraries: HSconstraints-0.10.1-8EXBrRXe4Fh2Bzz0X5WX3G
depends:
    base-4.12.0.0 binary-0.8.6.0 deepseq-1.4.4.0 ghc-prim-0.5.3
    hashable-1.2.7.0-CWI8VZuQTAYWIQTQQtqCV mtl-2.2.2
    semigroups-0.18.5-6T2lH5F6zyQIdwR3JYKMO3 transformers-0.5.6.2
    transformers-compat-0.5.1.4-Ds7JyVWMMQDAstUV5nEQhw
haddock-interfaces: /usr/local/share/doc/hs-constraints-0.10.1/html/constraints.haddock
haddock-html: /usr/local/share/doc/hs-constraints-0.10.1/html
